<?php
/**
* @package		EasySocial
* @copyright	Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasySocial is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');
?>
<div>
	<div class="o-input-group">
		<input type="text" id="<?php echo $inputName;?>"
			value="<?php echo $value; ?>"
			name="<?php echo $inputName;?>"
			class="o-form-control"
			placeholder="<?php echo JText::_('PLG_FIELDS_INVITATION_CODE'); ?>"
			data-invitecode-input
		/>
		<span class="o-input-group__btn">
			<button type="button" class="btn btn-es-default-o" id="checkInviteCode" data-invitecode-check><?php echo JText::_('PLG_FIELDS_INVITATION_CODE_CHECK_BUTTON');?></button>
		</span>
	</div>

	<div class="t-hidden" data-invitecode-error>
		<div class="es-fields-error-note" data-message></div>
	</div>

	<div class="t-hidden" data-invitecode-available>
		<div class="help-block t-text--success"><?php echo JText::_('PLG_FIELDS_INVITATION_CODE_AVAILABLE');?></div>
	</div>
</div>
