EasySocial
.require()
.done(function($) {

	var generateButton = $('[data-invitation-generate-code]');
	var workflowId = $('[data-workflows-form]').data('id');
	var textarea = $('[data-invitation-code-value]');

	generateButton.on('click', function() {
		var button = $(this);
		button.addClass('is-loading');

		// Get stored value
		var storedValue = textarea.val();

		EasySocial.ajax('fields/user/invitation_code/generateCodes', {
			"storedValue" : storedValue
		}).done(function(value) {

			// Assign the value
			textarea.val(value);

			// Trigger change to properly save the value
			textarea.trigger('change');

		}).always(function() {
			button.removeClass('is-loading');
		})
	});
});